package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Weatherfd;
import com.gyee.frame.model.auto.WeatherfdExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  WeatherfdMapper
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:13:24
 */
public interface WeatherfdMapper {
      	   	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      	      
    long countByExample(WeatherfdExample example);

    int deleteByExample(WeatherfdExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Weatherfd record);

    int insertSelective(Weatherfd record);

    List<Weatherfd> selectByExample(WeatherfdExample example);
		
    Weatherfd selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Weatherfd record, @Param("example") WeatherfdExample example);

    int updateByExample(@Param("record") Weatherfd record, @Param("example") WeatherfdExample example); 
		
    int updateByPrimaryKeySelective(Weatherfd record);

    int updateByPrimaryKey(Weatherfd record);
  	  	
}